Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
Class RedirectDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.RedirectDynamicMethod

All Implemented Interfaces:
  DynamicMethodInvocation

    public class RedirectDynamicMethod

extends AbstractDynamicMethodInvocation

Implements the "redirect" Controller method for action redirection

Since:
  0.2 Created Oct 27, 2005
Author:
  Graeme Rocher

Field Summary
`static String` | `ARGUMENT_ACTION`
`static String` | `ARGUMENT_CONTROLLER`
`static String` | `ARGUMENT_ERRORS`
`static String` | `ARGUMENT_ID`
`static String` | `ARGUMENT_PARAMS`
`static String` | `ARGUMENT_URI`
`static String` | `ARGUMENT_URL`
`static Pattern` | `METHOD_PATTERN`
`static String` | `METHOD_SIGNATURE`

Constructor Summary
`RedirectDynamicMethod(ApplicationContext applicationContext)`

Method Summary
`GrailsScaffolder` | `getScaffolderForController(String controllerName, GrailsWebRequest webRequest)`
`Object` | `invoke(Object target, String methodName, Object[] arguments)` Invokes the actual method.

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
`getPattern, isMethodMatch, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_SIGNATURE

    public static final String METHOD_SIGNATURE

See Also:
  Constant Field Values

### METHOD_PATTERN

    public static final Pattern METHOD_PATTERN

### ARGUMENT_URI

    public static final String ARGUMENT_URI

See Also:
  Constant Field Values

### ARGUMENT_URL

    public static final String ARGUMENT_URL

See Also:
  Constant Field Values

### ARGUMENT_CONTROLLER

    public static final String ARGUMENT_CONTROLLER

See Also:
  Constant Field Values

### ARGUMENT_ACTION

    public static final String ARGUMENT_ACTION

See Also:
  Constant Field Values

### ARGUMENT_ID

    public static final String ARGUMENT_ID

See Also:
  Constant Field Values

### ARGUMENT_PARAMS

    public static final String ARGUMENT_PARAMS

See Also:
  Constant Field Values

### ARGUMENT_ERRORS

    public static final String ARGUMENT_ERRORS

See Also:
  Constant Field Values

Constructor Detail

### RedirectDynamicMethod

    public RedirectDynamicMethod(ApplicationContext applicationContext)

Method Detail

### invoke

    public Object invoke(Object target,
                         String methodName,
                         Object[] arguments)

  Description copied from interface: `DynamicMethodInvocation`

  Invokes the actual method. The target object and arguments are supplied.

  Specified by:
    `invoke` in interface `DynamicMethodInvocation`
  Specified by:
    `invoke` in class `AbstractDynamicMethodInvocation`
  Parameters:
    `target` - the target on which the method is invoked.
    `arguments` - the arguments passed in the method call @return the return value of the dynamic method invocation.

### getScaffolderForController

    public GrailsScaffolder getScaffolderForController(String controllerName,
                                                       GrailsWebRequest webRequest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project